MultiResultItem (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union

## Interface MultiResultItem

- All Known Implementing Classes:
    MultiResultItemImpl

      public interface MultiResultItem

  Specifies an element of an array containing multiple result values from an operation to read one or more channels from an interleaved data stream.

  See Also:
    `EssenceMultiAccess`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBytesXfered()` Returns the total number of bytes transferred.
    `int` | `getSamplesXfered()` Returns the number of samples transferred.
    `void` | `setBytesXfered(int bytesXfered)` Sets the total number of bytes transferred.
    `void` | `setSamplesXfered(int samplesXfered)` Sets the number of samples transferred.

- - ### Method Detail

    - #### getBytesXfered

          @UInt32
          int getBytesXfered()

      Returns the total number of bytes transferred.

      Returns:
        Total number of bytes transferred.

    - #### setBytesXfered

          void setBytesXfered(@UInt32
                              int bytesXfered)
                       throws IllegalArgumentException

      Sets the total number of bytes transferred.

      Parameters:
        `bytesXfered` - Total number of bytes transferred.
      Throws:
        `IllegalArgumentException` - The given number of bytes transferred is negative.

    - #### getSamplesXfered

          @UInt32
          int getSamplesXfered()

      Returns the number of samples transferred.

      Returns:
        Number of samples transferred.

    - #### setSamplesXfered

          void setSamplesXfered(@UInt32
                                int samplesXfered)
                         throws IllegalArgumentException

      Sets the number of samples transferred.

      Parameters:
        `samplesXfered` - Number of samples transferred.
      Throws:
        `IllegalArgumentException` - The given number of samples transferred is negative.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.